> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get all server responses

GET https://api.getpostman.com/mocks/{mockId}/server-responses

Gets all of a mock server's server responses.

Reference: https://learning.postman.com/api-docs/api-reference/mocks/get-mock-server-responses

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /mocks/{mockId}/server-responses:
    get:
      operationId: getMockServerResponses
      summary: Get all server responses
      description: Gets all of a mock server's server responses.
      tags:
        - mocks
      parameters:
        - name: mockId
          in: path
          description: The mock's ID.
          required: true
          schema:
            $ref: '#/components/schemas/mockId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getMockServerResponses'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetMockServerResponsesRequestUnauthorizedError
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mockServerResponse404Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetMockServerResponsesRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    mockId:
      type: string
      title: mockId
    GetMockServerResponsesItems:
      type: object
      properties:
        id:
          type: string
          description: The server response's ID.
        name:
          type: string
          description: The server response's name.
        statusCode:
          type: number
          format: double
          description: The server response's 5xx HTTP response code.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the server response was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the server response was last updated.
        createdBy:
          type: string
          description: The user ID of the user who created the server response.
        updatedBy:
          type: string
          description: The user ID of the user who last updated the server response.
      description: Information about the server response.
      title: GetMockServerResponsesItems
    getMockServerResponses:
      type: array
      items:
        $ref: '#/components/schemas/GetMockServerResponsesItems'
      description: A list of the mock server's responses.
      title: getMockServerResponses
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetMockServerResponsesRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMockServerResponsesRequestUnauthorizedError
    MockServerResponse404ErrorError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        header:
          type: string
          description: Information about the error.
        message:
          type: string
          description: The error message.
      title: MockServerResponse404ErrorError
    mockServerResponse404Error:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/MockServerResponse404ErrorError'
      title: mockServerResponse404Error
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetMockServerResponsesRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetMockServerResponsesRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
[
  {
    "id": "965cdd16-fe22-4d96-a161-3d05490ac421",
    "name": "Internal Server Error",
    "statusCode": 500,
    "createdAt": "2022-08-02T14:57:44.000Z",
    "updatedAt": "2022-08-02T14:57:44.000Z",
    "createdBy": "12345678",
    "updatedBy": "12345678"
  }
]
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/mocks/e3d951bf-873f-49ac-a658-b2dcb91d3289/server-responses")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```